import { default as IRequest } from './interfaces/IRequest';
export default class Request implements IRequest {
    protected endpoint: string;
    constructor(endpoint: string);
    get(path: string, options?: RequestInit | undefined): Promise<Response>;
    post(path: string, body: BodyInit, options?: RequestInit | undefined): Promise<Response>;
    put(path: string, body: BodyInit, options?: RequestInit | undefined): Promise<Response>;
    patch(path: string, body: BodyInit, options?: RequestInit | undefined): Promise<Response>;
    delete(path: string, options?: RequestInit | undefined): Promise<Response>;
    request(path: string, options: RequestInit): Promise<Response>;
    private composeUrl;
}
//# sourceMappingURL=Request.d.ts.map